Create a Global Payroll (GP) contract
Creates a new Global Payroll contract. Country-specific fields required in the request body vary by country and must be retrieved in advance from GET /forms/gp/worker-additional-fields/{country_code}. Returns the created contract including its unique id.
Token scopes: contracts:write
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Request
Global Payroll (GP) contract object that needs to be created.
data
Response
Successful operation.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error